<?php if ( !is_user_logged_in() ) : ?>

<p class="warning">
  <?php _e('You must be logged in to edit your profile.', 'mskryptos'); ?>
</p>
<!-- .warning -->
<?php else :
$user_info = get_userdata(get_current_user_id());

?>
<?php if ( count($error) > 0 ) echo '<p class="error">' . implode("<br />", $error) . '</p>'; ?>
<div class="loginerr"></div>
<form method="post" id="adduser" class="mskr_editprofile" action="<?php the_permalink(); ?>">
<h3>Name</h3>

  <p class="form-username">
    <label for="first-name">
      <?php _e('User Name', 'mskryptos'); ?>
    </label>
<span class="username"><strong><?php echo  $user_info->user_login; ?></strong></span>  </p>
  <p class="form-username">
    <label for="first-name">
      <?php _e('First Name', 'mskryptos'); ?>
    </label>
    <input class="text-input" name="first-name" type="text" id="first-name" value="<?php echo  $user_info->first_name; ?>" />
  </p>
  <!-- .form-username -->
  <p class="form-username">
    <label for="last-name">
      <?php _e('Last Name', 'mskryptos'); ?>
    </label>
    <input class="text-input" name="last-name" type="text" id="last-name" value="<?php echo  $user_info->last_name; ?>" />
  </p>
  <!-- .form-username -->
  <h3>Contact Info</h3>
  <p class="form-email">
    <label for="email">
      <?php _e('E-mail *', 'mskryptos'); ?>
    </label>
    <input class="text-input" name="email" type="text" id="email" value="<?php echo  $user_info->user_email; ?>" />
  </p>
  <!-- .form-email -->

  <h3>About Yourself</h3>
  <p class="form-password">
    <label for="pass1">
      <?php _e('Password *', 'mskryptos'); ?>
    </label>
    <input class="text-input" name="pass1" type="password" id="pass1" />
  </p>
  <!-- .form-password -->
  <p class="form-password">
    <label for="pass2">
      <?php _e('Repeat Password *', 'mskryptos'); ?>
    </label>
    <input class="text-input" name="pass2" type="password" id="pass2" />
  </p>
  <!-- .form-password -->
  <p class="form-textarea">
    <label for="description">
      <?php _e('Biographical Information', 'mskryptos') ?>
    </label>
    <textarea name="description" id="pdescription" rows="3" cols="50"><?php echo  $user_info->description; ?>
</textarea>
  </p>
  <!-- .form-textarea -->
  
  <?php 
                        //action hook for plugin and extra fields
                        do_action('edit_user_profile',$current_user); 
                    ?>
  <p class="form-submit"> <?php echo $referer; ?>
    <input name="updateuser" type="submit" id="updateuser" class="submit button" value="<?php _e('Update', 'mskryptos'); ?>" />
    <?php wp_nonce_field( 'update-user' ) ?>
    <input name="action" type="hidden" id="action" value="update-user" />
  </p>
  <!-- .form-submit -->
</form>
<!-- #adduser -->
<?php endif; ?>
